<mat-form-field>
    <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
</mat-form-field>
   <div class="mat-elevation-z8">
        <table mat-table [dataSource]="dataSource" matSort>

            <ng-container matColumnDef="Kd_RM">
                <th mat-header-cell *matHeaderCellDef> Kd RM </th>
                <td mat-cell *matCellDef="let row"> {{row.Kd_RM}} </td>
            </ng-container>

            <ng-container matColumnDef="NoReg">
                <th mat-header-cell *matHeaderCellDef> No Reg </th>
                <td mat-cell *matCellDef="let row"> {{row.NoReg}} </td>
            </ng-container>

            <ng-container matColumnDef="Nama">
                <th mat-header-cell *matHeaderCellDef> Nama </th>
                <td mat-cell *matCellDef="let row"> {{row.Nama}} </td>
            </ng-container>

            <ng-container matColumnDef="Ket_ICD">
                <th mat-header-cell *matHeaderCellDef> Keterangan ICD </th>
                <td mat-cell *matCellDef="let row"> {{row.Ket_ICD}} </td>
            </ng-container>

            <ng-container matColumnDef="EditICD">
                <th mat-header-cell *matHeaderCellDef> Edit ICD </th>
                    <td mat-cell *matCellDef="let row" ><button  mat-raised-button color="basic"
                        (click)="openDialogEdit(row.Kd_RM,row.NoReg,row.Kd_ICD,row.Ket_ICD)" > Edit ICD </button> </td>
            </ng-container>
            
            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>

        <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" showFirstLastButtons></mat-paginator>
    </div>